/*
  bungeeboss.v 
*/


module bungeeboss (
coffeebreak,
garbage_in,
impossible_deadline,
layoffrumor,
nextjob,
sexist_comments
);

output	 		nextjob;

input	 		coffeebreak;
input	[23:0]		garbage_in;
input	 		impossible_deadline;
input	 		layoffrumor;
input	[99:0]		sexist_comments;

wire    [23:0]          garbage_out;
wire			must_choke;

assign                  nextjob = &(garbage_out) || must_choke;



asok asok (
.impossible_deadline(impossible_deadline),
.layoffrumor(layoffrumor),
.garbage_in(garbage_in),
.garbage_out(garbage_out)
);


alice alice (
.coffeebreak(coffeebreak),
.layoffrumor(layoffrumor),
.sexist_comments(sexist_comments),
.must_choke(must_choke)
);

endmodule

