module catberthr (
  coffeebreak,
  coffee,
  layoffrumor,
  purr,
  wag
);

input		coffeebreak;	// clock
output		layoffrumor;
reg		layoffrumor;
output  [9:5]   coffee;
reg	[9:5]   coffee;
output          purr;
reg             purr;
output          wag;

always @(posedge coffeebreak) begin
  coffee <= {coffee[5],coffee[9:6]};
  layoffrumor <= coffee[5];
  purr  <= layoffrumor;
end

assign          wag = !purr;  // note: not registered

endmodule

