/*
  phb.v 
*/


module phb (
garbage_out,
coffee,
coffeebreak,
garbage_in,
impossible_deadline,
insecurities,
layoffrumor,
fear,
brown_nose
);

output	[23:0]		garbage_out;
output	 		fear;
output	 		brown_nose;


input	[9:5]		coffee;
input	 		coffeebreak;
input	[23:0]		garbage_in;
input	 		impossible_deadline;
input	[99:0]		insecurities;
input	 		layoffrumor;

wire			realwork;
wire			sarcasm;

assign          fear = !realwork;
assign          brown_nose = sarcasm && !realwork;



wally wally (
.coffeebreak(coffeebreak),
.layoffrumor(layoffrumor),
.coffee(coffee),
.sarcasm(sarcasm)
);


asok asok (
.impossible_deadline(impossible_deadline),
.layoffrumor(layoffrumor),
.garbage_in(garbage_in),
.garbage_out(garbage_out)
);


dilbert dilbert (
.impossible_deadline(impossible_deadline),
.layoffrumor(layoffrumor),
.insecurities(insecurities),
.realwork(realwork)
);

endmodule

