module wally (
  coffeebreak,
  layoffrumor,
  coffee,
  sarcasm
  );

input		coffeebreak;	// clock
input		layoffrumor;		// reset!
input	[9:5]	coffee;
output		sarcasm;
reg		sarcasm;

reg             workin_hard;
reg             hardly_workin;

always @(posedge coffeebreak or posedge layoffrumor) begin
  if (layoffrumor) begin
    sarcasm <= 0;
    workin_hard <= 0;
    hardly_workin <= 0;
  end
  else begin
    workin_hard <= &(coffee);
    hardly_workin <= |(coffee);
    sarcasm <= workin_hard || hardly_workin;
  end
end



endmodule

