# Set basic stuff
$makefile = "top.flat.make";
$tclsuffix = "dctl";

# Sub-chip specific var settings (this is an alternative to <subchip>_acs.dctl
# scriptfile).
if ($_acs_top eq "catberthr") {
  $_acs_src_const_cmd = " \
    &create_clock -period 8.0 -port coffeebreak ;\
    source common.const.dctl \
  ";
} elsif ($_acs_top eq "evilceo") {
  $_acs_src_const_cmd = " \
    &create_clock -period 8.0 -port coffeebreak ;\
    &create_clock -period 10.0 -port impossible_deadline ;\
    source common.const.dctl \
  ";
}

# clargs has any subchip-specific command line arguments.  This is an
# alternative to issuing them on the command line.
%clargs = (
);

@scripts2copy = (
  "compile.strategy.dctl",   # always include this
);

# Any partition override constraint files here
@constraints2copy = (
#  "dilbert.const.dctl",
);

%special_compile_cmds = (
#  "evilceo" => "echo \"Skipping compile\"",
);

%special_compile_cmds_pass1 = (
);

# when doing require or use we must return 1
1
