module asok (
  impossible_deadline,
  layoffrumor,
  garbage_in,
  garbage_out
  );

input		impossible_deadline;	// clock
input		layoffrumor;		// reset!
input	[23:0]	garbage_in;
output	[23:0]	garbage_out;
reg	[23:0]	garbage_out;

always @(posedge impossible_deadline or posedge layoffrumor) begin
  if (layoffrumor) 
    garbage_out <= 0;
  else
    garbage_out <= garbage_in;
end

endmodule
