module dilbert (
  impossible_deadline,
  layoffrumor,
  insecurities,
  realwork
  );

input		impossible_deadline;	// clock
input		layoffrumor;		// reset!
input	[99:0]	insecurities;
output		realwork;
reg		realwork;

wire    [49:0]  women = insecurities[99:50];
wire    [49:0]  rumors = insecurities[49:0];

always @(posedge impossible_deadline or posedge layoffrumor) begin
  if (layoffrumor) 
    realwork <= 0;
  else
    realwork <= !( |(women) && !(|(rumors)) );
end

endmodule

