/*
  evilceo.v file 
*/


module evilceo (
coffee,
coffeebreak,
impossible_deadline,
layoffrumor,
stockoptions
);

output	[99:0]          stockoptions;
reg	[99:0]          stockoptions;

input	[9:5]		coffee;
input	 		coffeebreak;
input	 		impossible_deadline;
input			layoffrumor;

wire	[23:0]		garbage_in;
wire	[23:0]		garbage_out;

wire	[99:0]		insecurities = ~(stockoptions);
wire	[99:0]		sexist_comments = ~(stockoptions);

wire			brown_nose;
wire			fear;
wire			nextjob;

always @(posedge layoffrumor or posedge impossible_deadline) begin
  if (layoffrumor) begin
    stockoptions <= `MILLIONS;
  end
  else begin
    if (brown_nose || fear || nextjob) begin
      stockoptions <= stockoptions + 1000;
    end
    else begin
      stockoptions <= stockoptions + 1;
    end
  end
end

assign garbage_in = garbage_out;  // eternal feedback


phb phb (
.garbage_out(garbage_out),
.coffee(coffee),
.coffeebreak(coffeebreak),
.garbage_in(garbage_in),
.impossible_deadline(impossible_deadline),
.insecurities(insecurities),
.layoffrumor(layoffrumor),
.brown_nose(brown_nose),
.fear(fear)
);


bungeeboss bungeeboss (
.coffeebreak(coffeebreak),
.garbage_in(garbage_in),
.impossible_deadline(impossible_deadline),
.layoffrumor(layoffrumor),
.nextjob(nextjob),
.sexist_comments(sexist_comments)
);

endmodule

