#!/usr/bin/perl 

$| = 1;  # force immediate output

&process_options;

die if !($old = $ARGV[0]);
die if !($new = $ARGV[1]);

$cmd = "mv $old $new";
print "Doing:$cmd\n";
system($cmd);
$cmd = "mv RCS/${old},v RCS/${new},v";
print "Doing:$cmd\n";
system($cmd);

sub process_options {

  use Getopt::Long;

  # Default non-null options
  $synlog = "synlog";
  # Process options
  die unless GetOptions(
    "help" => \$help,
    "verbose" => \$verbose,
    );

  if ($help) {
    &show_help;
    exit;
  }

}

sub show_help {
 print STDERR "Syntax:
  $me [options] *.v

  options:
  -help                 Show this help
  -verbose              Be Chatty
  \n";
}

# when doing require or use we must return 1
1
